EDGE 3DS Compatibility

Discussion in 'EDGE' started by BlueJ, Jun 13, 2019.

  1. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Is the EDGE Cart compatible with the New 2DS XL?
     
  2. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    12
    Feb 16, 2015
    United States
    Localhost
    Probably using the signature patches.
     
  3. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Would you know where I could find said signature patch?
     
  4. LuigiSuperStarSaga

    LuigiSuperStarSaga GBAtemp Regular

    Member
    4
    Feb 23, 2018
    Brazil
    Do you have a CFW? I'm pretty sure it only works if you have one.
     
  5. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Oh ok, I didn't want to install CFW so I guess I'll have to stick with my old DS for that.
     
  6. sks316

    sks316 Meloetta, the Melody Pokémon!

    Member
    10
    Nov 28, 2013
    United States
    Unova
    Why don't you want to install CFW? It's easy and there's so much you can do with it.
     
    BlueJ likes this.
  7. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Really. Then I'll try it out, I was just worried that my 2DS would break.
     
  8. sks316

    sks316 Meloetta, the Melody Pokémon!

    Member
    10
    Nov 28, 2013
    United States
    Unova
    If you follow the correct guide and do everything as instructed, there's absolutely no risk of bricking your console.
     
    BlueJ likes this.
  9. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Sweet Thanks. :)

    Edit: added hyperlink
     
    Last edited by BlueJ, Jun 17, 2019
    sks316 likes this.
  10. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Can I use the EDGE Cart with Luma3DS?

    — Posts automatically merged - Please don't double post! —

    Nevermind, I just checked a wiki and it says it does update signature patches.
     
  11. sks316

    sks316 Meloetta, the Melody Pokémon!

    Member
    10
    Nov 28, 2013
    United States
    Unova
    You might be able to. I don't use flashcards to play my backups, but you can try if you want.
     
    BlueJ likes this.
  12. BlueJ
    OP

    BlueJ Member

    Newcomer
    1
    Jun 9, 2019
    Canada
    Canada
    Just realized that Edge flashcarts open on boot so it wont work on the 2ds xl which will boot to Luma3ds if I have an CFW and that it if I don't then it won't work because of signature patches. Big oof
     
  13. DeadSkullzJr

    DeadSkullzJr GBAtemp Advanced Fan

    Member
    6
    Sep 28, 2017
    United States
    EDGE and iEDGE won't work on a 3DS even with CFW. I tested both models on all of my 3DS consoles. For some reason the developers never made any compatibility patches for the 3DS with the iEDGE, it won't even read it's that bad, if you do manage to make it read the console boots into the game the flashcart uses rather than booting the kernel (basically what the Stargate 3DS does on a CFW console when you launch DS mode). There was a way if you sat on an older firmware version on the iEDGE, the problem is once you update, you are stuck on that update, you aren't able to downgrade the firmware.
     
Loading...